@echo off
echo.
echo	This illustrates how to use gdx2dat to produce a nearly complete
echo	output of the data from a GDX file in machine-friendly format:
echo.
pause
gdx2dat demo
echo.
echo.
echo	This illustrates how gdxf90 reads element text:
echo.
pause
gdx2dat settext
echo.
echo.
echo	Here we read a column from a two-dimensional parameter:
echo.
pause
gdx2dat demo m(i,'i4')
echo.
echo.
echo	Here we read some data with user-specified sets i and j which 
echo	replaces sets defined in the GDX file.  Output will be redirected 
echo	to demo.dat and then displayed:
echo.
pause
gdx2dat demo -s m(i,j) i j >demo.dat
more <demo.dat

