$title	Produces DEMO.GDX for illustrating use of GDX2DAT program

set	i	Ordered set /i1*i10/,
	j(i)	Subset of i /i2*i6/,
	k(i,j)	A tuple defined on i and j;

k(i,j)$(uniform(0,1) gt 0.5) = yes;
display k;

parameters
	s	Scalar /0.63/,
	v(i)	Vector
	m(i,j)	Matrix;

variable
	x(i)	Variable;

*	Generate a sparse vector and a sparse matrix:

v(i)$(uniform(0,1) le 0.5) = uniform(0,1);
m(i,j)$(uniform(0,1) le 0.25) = (ord(i)-1)*card(j) + card(j);

display s, v, m;

x.l(i) = ord(i);
x.m(i) = 10 * ord(i);
x.lo(i) = 100 * ord(i);
x.up(i) = 1000 * ord(i);
x.scale(i) = 10000 * ord(i);
